/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/492a30-light-palette/t/66411c)
 *
 * Our core brand colour – `brand[400]` – and extended brand colours
 */
export declare const brand: {
    100: string;
    300: string;
    400: string;
    500: string;
    600: string;
    800: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/492a30-light-palette/t/32d461)
 *
 * Our alternative brand colours
 */
export declare const brandAlt: {
    200: string;
    300: string;
    400: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/492a30-light-palette/t/70dd5c)
 *
 * Neutral colours
 */
export declare const neutral: {
    0: string;
    7: string;
    10: string;
    20: string;
    46: string;
    60: string;
    86: string;
    93: string;
    97: string;
    100: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/492a30-light-palette/t/98b901)
 *
 * Error colours
 */
export declare const error: {
    400: string;
    500: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/492a30-light-palette/t/82798f)
 *
 * Success colours
 */
export declare const success: {
    400: string;
    500: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/492a30-light-palette/t/97d77e)
 *
 * News colours
 */
export declare const news: {
    100: string;
    200: string;
    300: string;
    400: string;
    500: string;
    550: string;
    600: string;
    800: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/492a30-light-palette/t/0539ef)
 *
 * Opinion colours
 */
export declare const opinion: {
    100: string;
    200: string;
    300: string;
    400: string;
    500: string;
    550: string;
    600: string;
    800: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/492a30-light-palette/t/957a45)
 *
 * Sport colours
 */
export declare const sport: {
    100: string;
    200: string;
    300: string;
    400: string;
    500: string;
    600: string;
    800: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/492a30-light-palette/t/068eb2)
 *
 * Culture colours
 */
export declare const culture: {
    50: string;
    100: string;
    200: string;
    300: string;
    350: string;
    400: string;
    500: string;
    600: string;
    700: string;
    800: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/492a30-light-palette/t/2236b4)
 *
 * Lifestyle colours
 */
export declare const lifestyle: {
    100: string;
    200: string;
    300: string;
    400: string;
    500: string;
    600: string;
    800: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/492a30-light-palette/t/59b08c)
 *
 * Labs colours
 */
export declare const labs: {
    200: string;
    300: string;
    400: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/492a30-light-palette/t/31c634)
 *
 * Special report colours
 */
export declare const specialReport: {
    100: string;
    200: string;
    300: string;
    400: string;
    450: string;
    500: string;
    700: string;
    800: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/492a30-light-palette/t/188e86)
 *
 * Focus state colour
 */
export declare const focus: {
    400: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/9280ee)
 *
 * Default theme background colours
 */
export declare const background: {
    primary: string;
    secondary: string;
    inverse: string;
    ctaPrimary: string;
    ctaPrimaryHover: string;
    ctaSecondary: string;
    ctaSecondaryHover: string;
    ctaTertiaryHover: string;
    input: string;
    inputChecked: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/63cc10)
 *
 * Brand theme background colours
 */
export declare const brandBackground: {
    primary: string;
    inputChecked: string;
    ctaPrimary: string;
    ctaPrimaryHover: string;
    ctaSecondary: string;
    ctaSecondaryHover: string;
    ctaTertiaryHover: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/743232)
 *
 * Alternative brand theme background colours
 */
export declare const brandAltBackground: {
    primary: string;
    ctaPrimary: string;
    ctaPrimaryHover: string;
    ctaSecondary: string;
    ctaSecondaryHover: string;
    ctaTertiaryHover: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/69c92f)
 *
 * Default theme border colours
 */
export declare const border: {
    primary: string;
    secondary: string;
    success: string;
    error: string;
    ctaTertiary: string;
    input: string;
    inputChecked: string;
    inputHover: string;
    inputActive: string;
    focusHalo: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/04883b)
 *
 * Brand theme border colours
 */
export declare const brandBorder: {
    primary: string;
    secondary: string;
    success: string;
    error: string;
    ctaTertiary: string;
    input: string;
    inputChecked: string;
    inputHover: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/b/21c6cc)
 *
 * Alternative brand theme border colours
 */
export declare const brandAltBorder: {
    ctaTertiary: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/593cc9)
 *
 * Default theme line colours
 */
export declare const line: {
    primary: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/66455d)
 *
 * Brand theme line colours
 */
export declare const brandLine: {
    primary: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/89955e)
 *
 * Alternative brand theme line colours
 */
export declare const brandAltLine: {
    primary: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/85d3b0)
 *
 * Default theme text colours
 */
export declare const text: {
    primary: string;
    supporting: string;
    success: string;
    error: string;
    ctaPrimary: string;
    ctaSecondary: string;
    ctaTertiary: string;
    anchorPrimary: string;
    anchorSecondary: string;
    userInput: string;
    inputLabel: string;
    inputError: string;
    inputLabelSupporting: string;
    inputChecked: string;
    inputHover: string;
    groupLabel: string;
    groupLabelSupporting: string;
    newsInverse: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/244480)
 *
 * Brand theme text colours
 */
export declare const brandText: {
    primary: string;
    supporting: string;
    success: string;
    error: string;
    ctaPrimary: string;
    ctaSecondary: string;
    ctaTertiary: string;
    anchorPrimary: string;
    anchorPrimaryHover: string;
    userInput: string;
    inputLabel: string;
    inputLabelSupporting: string;
};
/**
 * [Storybook](https://guardian.github.io/source/?path=/docs/source-v4-source-foundations-colour--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/11d5fd)
 *
 * Alternative brand theme text colours
 */
export declare const brandAltText: {
    primary: string;
    supporting: string;
    ctaPrimary: string;
    ctaSecondary: string;
    ctaTertiary: string;
    anchorPrimary: string;
};
